svn commit: r263341 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Wed Mar 19 10:18:50 UTC 2014


Author: pho
Date: Wed Mar 19 10:18:50 2014
New Revision: 263341
URL: http://svnweb.freebsd.org/changeset/base/263341

Log:
  Added scenario for "swapped out" state problem.
  
  Sponsored by:	EMC / Isilon storage division

Added:
  user/pho/stress2/misc/swappedout.sh   (contents, props changed)

Added: user/pho/stress2/misc/swappedout.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/swappedout.sh	Wed Mar 19 10:18:50 2014	(r263341)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2014 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Processes stay in "swapped out" state even after swapoff
+# Broken by r254304.
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+(cd ../testcases/swap; ./swap -t 2m -i 20 -v) > /dev/null 
+ps auxww | awk '{print $8}' | egrep -q ".W"  || exit 0
+swapoff -a > /dev/null || exit 1
+if ps auxww | awk '{print $8}' | egrep -q ".W"; then
+	echo FAIL
+	echo "swapinfo:"
+	swapinfo
+	echo ""
+	ps -l | head -1
+	ps auxww | awk '{print $2, $8}' | egrep "[^ ]W" | while read l; do
+		set $l
+		ps -lp$1 | tail -1
+	done
+fi
+swapon -a > /dev/null


More information about the svn-src-user mailing list